com.h3c.of.lib.mp

## Class MBodyQueueStats

- java.lang.Object
- - com.h3c.of.lib.OpenflowStructure
  - - com.h3c.of.lib.mp.MBodyQueueStats

- All Implemented Interfaces:
    MultipartBody, Structure
  Direct Known Subclasses:
    MBodyMutableQueueStats

      public class MBodyQueueStats
      extends OpenflowStructure
      implements MultipartBody

  Represents queue statistics; part of a reply to a queue-statistics request multipart message; since 1.0.
  See Also:
    `MBodyQueueStatsRequest`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `MBodyQueueStats.Array` Represents an array of port descriptions.
    `static class` | `MBodyQueueStats.MutableArray` A mutable array of queue statistics.

  - ### Field Summary

    - ### Fields inherited from class com.h3c.of.lib.OpenflowStructure

      `version`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MBodyQueueStats(ProtocolVersion pv)` Constructs an OpenFlow structure.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getDurationNsec()` Returns the additional time the queue has been alive in nanoseconds; Since 1.3.
    `long` | `getDurationSec()` Returns the time the queue has been alive in seconds; Since 1.3.
    `BigPortNumber` | `getPort()` Returns the port for which queue statistics are requested; Since 1.0.
    `QueueId` | `getQueueId()` Returns the ID of the queue configured for specified port; Since 1.0.
    `int` | `getTotalLength()` Returns the total length of the body, in bytes.
    `long` | `getTxBytes()` Returns the number of transmitted bytes; Since 1.0.
    `long` | `getTxErrors()` Returns the number of packets dropped due to overrun; Since 1.0.
    `long` | `getTxPackets()` Returns the number of transmitted packets; Since 1.0.
    `String` | `toDebugString()` Returns a string representation useful for debugging.
    `String` | `toDebugString(int indent)` Returns a multi-line representation of this Queue Stats object.
    `String` | `toString()`

    - ### Methods inherited from class com.h3c.of.lib.OpenflowStructure

      `getVersion, hex, hex, validate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.h3c.of.lib.mp.MultipartBody

      `validate`

    - ### Methods inherited from interface com.h3c.of.lib.Structure

      `getVersion`

- - ### Constructor Detail

    - #### MBodyQueueStats

          public MBodyQueueStats(ProtocolVersion pv)

      Constructs an OpenFlow structure.
      Parameters:
        `pv` - the protocol version

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `OpenflowStructure`

    - #### toDebugString

          public String toDebugString()

      Description copied from class: `OpenflowStructure`
      Returns a string representation useful for debugging. This default implementation delegates to `OpenflowStructure.toString()`, but subclasses are free to override this behavior.
      Specified by:
        `toDebugString` in interface `Structure`
      Overrides:
        `toDebugString` in class `OpenflowStructure`
      Returns:
        a (possibly multi-line) string representation of this message

    - #### toDebugString

          public String toDebugString(int indent)

      Returns a multi-line representation of this Queue Stats object.
      Parameters:
        `indent` - the additional indent (number of spaces)
      Returns:
        a multi-line representation

    - #### getTotalLength

          public int getTotalLength()

      Description copied from interface: `MultipartBody`
      Returns the total length of the body, in bytes.
      Specified by:
        `getTotalLength` in interface `MultipartBody`
      Returns:
        the total length of the body

    - #### getPort

          public BigPortNumber getPort()

      Returns the port for which queue statistics are requested; Since 1.0.

      A value of `Port.ANY` indicates no restriction. Note that in 1.0, port numbers are u16.

      Returns:
        the requested port

    - #### getQueueId

          public QueueId getQueueId()

      Returns the ID of the queue configured for specified port; Since 1.0. A value of `QueueId.ALL` indicates all queues.
      Returns:
        the queue ID

    - #### getTxBytes

          public long getTxBytes()

      Returns the number of transmitted bytes; Since 1.0.
      Returns:
        the transmitted byte count

    - #### getTxPackets

          public long getTxPackets()

      Returns the number of transmitted packets; Since 1.0.
      Returns:
        the transmitted packet count

    - #### getTxErrors

          public long getTxErrors()

      Returns the number of packets dropped due to overrun; Since 1.0.
      Returns:
        the dropped packet count

    - #### getDurationSec

          public long getDurationSec()

      Returns the time the queue has been alive in seconds; Since 1.3.
      Returns:
        the time in seconds

    - #### getDurationNsec

          public long getDurationNsec()

      Returns the additional time the queue has been alive in nanoseconds; Since 1.3.
      Returns:
        the additional time in nanoseconds

Copyright © 2014. All Rights Reserved.